WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

Varnish Caching

Wordpress Varnish Cache 3.x/4.x integration

Complete WordPress Varnish Cache 3.x/4.x integration.

This plugin handles all integration with Varnish Cache. It was designed for high traffic websites.

Main features

  • admin interface, see screenshots
  • console for manual purges, supports regular expressions so you can purge an entire folder or just a single file
  • supports every type of Varnish Cache implementation, see screenshots for examples
  • unlimited number of Varnish Cache servers
  • use of custom headers when communicating with Varnish Cache does not interfere with other caching plugins, cloudflare, etc
  • Varnish Cache configuration generator
  • purge key method so you don't need to setup ACLs
  • debugging
  • actively maintained

You can control the following from the Varnish Caching admin panel :

  • Enable/Disable caching
  • Homepage cache TTL
  • Cache TTL (for every other page)
  • IPs/Hosts to clear cache to support every type of Varnish Cache implementation
  • Override default TTL in posts/pages
  • Purge key based PURGE
  • Logged in cookie
  • Debugging option
  • console for precise manual purges

This plugin also auto purges Varnish Cache when your site is modified.

Varnish Caching sends a PURGE request to Varnish Cache when a page or post is modified. This occurs when editing, publishing, commenting or deleting an item, and when changing themes. Not all pages are purged every time, depending on your Varnish configuration. When a post, page, or custom post type is edited, or a new comment is added, only the following pages will purge:

  • The front page
  • The post/page edited
  • Any categories or tags associated with the page

Varnish Cache is a web application accelerator also known as a caching HTTP reverse proxy. You install it in front of any server that speaks HTTP and configure it to cache the contents. This plugin does not install Varnish for you, nor does it configure Varnish for WordPress. It's expected you already did that on your own using the provided config files.

Inspired from the following :

Requires: 4.0 or higher
Compatible up to: 4.7.1
Last Updated: 2 hours ago
Active Installs: 400+

Ratings

5 out of 5 stars

Support

0 of 1 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1
100,1,1
100,1,1 100,1,1 100,1,1
100,1,1
100,1,1